%define name    qjoypad
%define version 4.1.0
%define release 3%{?dist}
%define summary Joystick Configuration Utilility

Summary: %{summary}
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL2
URL: http://qjoypad.sourceforge.net/
Group: Amusements/Games
Source0: %{name}-%{version}.tgz
Source1: %{name}.desktop
BuildRoot: %{_tmppath}/qjoypad-buildroot
BuildRequires:  qt-devel
Requires:  qt

%description
QJoyPad takes input from a gamepad or joystick and translates it into key
strokes or mouse actions, letting you control any XWindows program with your
game controller.

%package qjoypad
Summary: %{summary}
Group: Amusements/Games
Provides: qjoypad

%description qjoypad
QJoyPad takes input from a gamepad or joystick and translates it into key
strokes or mouse actions, letting you control any XWindows program with your
game controller.

%prep

%setup -q

%build
cd src

%if 0%{?fedora}
sed -i 's/\! qmake/& \&\& \! qmake-qt4/' config
sed -i 's/\/usr\/local/\%{_prefix}/' config
sed -i 's/QMAKE_LIBS += -lXtst/& -lX11 /' qjoypad.pro
%endif

./config
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_bindir}
install -m 755 src/qjoypad %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/pixmaps/qjoypad
install -m 644 icons/* %{buildroot}%{_datadir}/pixmaps/qjoypad
ln -sf %{_datadir}/pixmaps/qjoypad/gamepad4-24x24.png %{buildroot}%{_datadir}/pixmaps/qjoypad/icon24.png
ln -sf %{_datadir}/pixmaps/qjoypad/gamepad3-64x64.png %{buildroot}%{_datadir}/pixmaps/qjoypad/icon64.png
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/24x24/apps/
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/
ln -sf %{_datadir}/pixmaps/qjoypad/gamepad4-24x24.png %{buildroot}%{_datadir}/icons/hicolor/24x24/apps/qjoypad.png
ln -sf %{_datadir}/pixmaps/qjoypad/gamepad3-64x64.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/qjoypad.png
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}


%clean
rm -rf %{buildroot}


%post
strip /usr/bin/qjoypad
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
/usr/bin/qjoypad
/usr/share/pixmaps/qjoypad/*
/usr/share/applications/qjoypad.desktop
/usr/share/icons/hicolor/24x24/apps/qjoypad.png
/usr/share/icons/hicolor/64x64/apps/qjoypad.png


%changelog
* Fri Nov 09 2012 Jose A. Rivera <jarrpa@gmail.com> 4.1.0-3
- Actually fixing missing application icons.

* Fri Nov 09 2012 Jose A. Rivera <jarrpa@gmail.com> 4.1.0-2
- Fixing missing application icons.

* Fri Nov 09 2012 Jose A. Rivera <jarrpa@gmail.com> 4.1.0-1
- New version 4.1.0

* Wed Aug 18 2004 Kenton Groombridge <kgroombr@charter.net> 3.4-1
- New version 3.4

* Sun Jun 20 2004 Kenton Groombridge <kgroombr@charter.net> 3.3-1
- Intitial RPM
